PowerVmSelectionPolicyMaximumCorrelation (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.power

## Class PowerVmSelectionPolicyMaximumCorrelation

- java.lang.Object
- - org.cloudbus.cloudsim.power.PowerVmSelectionPolicy
  - - org.cloudbus.cloudsim.power.PowerVmSelectionPolicyMaximumCorrelation

-     public class PowerVmSelectionPolicyMaximumCorrelation
      extends PowerVmSelectionPolicy

  The Maximum Correlation (MC) VM selection policy. If you are using any algorithms, policies or workload included in the power package, please cite the following paper: Anton Beloglazov, and Rajkumar Buyya, "Optimal Online Deterministic Algorithms and Adaptive Heuristics for Energy and Performance Efficient Dynamic Consolidation of Virtual Machines in Cloud Data Centers", Concurrency and Computation: Practice and Experience, ISSN: 1532-0626, Wiley Press, New York, USA, 2011, DOI: 10.1002/cpe.1867
  Since:
    CloudSim Toolkit 3.0
  Author:
    Anton Beloglazov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PowerVmSelectionPolicyMaximumCorrelation(PowerVmSelectionPolicy fallbackPolicy)` Instantiates a new power vm selection policy maximum correlation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<Double>` | `getCorrelationCoefficients(double[][] data)` Gets the correlation coefficients.
    `PowerVmSelectionPolicy` | `getFallbackPolicy()` Gets the fallback policy.
    `protected int` | `getMinUtilizationHistorySize(List<PowerVm> vmList)` Gets the min utilization history size.
    `protected double[][]` | `getUtilizationMatrix(List<PowerVm> vmList)` Gets the utilization matrix.
    `Vm` | `getVmToMigrate(PowerHost host)` Gets the vms to migrate.
    `void` | `setFallbackPolicy(PowerVmSelectionPolicy fallbackPolicy)` Sets the fallback policy.

    - ### Methods inherited from class org.cloudbus.cloudsim.power.PowerVmSelectionPolicy

      `getMigratableVms`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PowerVmSelectionPolicyMaximumCorrelation

          public PowerVmSelectionPolicyMaximumCorrelation(PowerVmSelectionPolicy fallbackPolicy)

      Instantiates a new power vm selection policy maximum correlation.
      Parameters:
        `fallbackPolicy` - the fallback policy

  - ### Method Detail

    - #### getVmToMigrate

          public Vm getVmToMigrate(PowerHost host)

      Description copied from class: `PowerVmSelectionPolicy`
      Gets the vms to migrate.
      Specified by:
        `getVmToMigrate` in class `PowerVmSelectionPolicy`
      Parameters:
        `host` - the host
      Returns:
        the vms to migrate

    - #### getUtilizationMatrix

          protected double[][] getUtilizationMatrix(List<PowerVm> vmList)

      Gets the utilization matrix.
      Parameters:
        `vmList` - the host
      Returns:
        the utilization matrix

    - #### getMinUtilizationHistorySize

          protected int getMinUtilizationHistorySize(List<PowerVm> vmList)

      Gets the min utilization history size.
      Parameters:
        `vmList` - the vm list
      Returns:
        the min utilization history size

    - #### getCorrelationCoefficients

          protected List<Double> getCorrelationCoefficients(double[][] data)

      Gets the correlation coefficients.
      Parameters:
        `data` - the data
      Returns:
        the correlation coefficients

    - #### getFallbackPolicy

          public PowerVmSelectionPolicy getFallbackPolicy()

      Gets the fallback policy.
      Returns:
        the fallback policy

    - #### setFallbackPolicy

          public void setFallbackPolicy(PowerVmSelectionPolicy fallbackPolicy)

      Sets the fallback policy.
      Parameters:
        `fallbackPolicy` - the new fallback policy

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.